#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './advcommedit.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "advcommedit.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a advCommEdit as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
advCommEdit::advCommEdit( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "advCommEdit" );
    advCommEditLayout = new QVBoxLayout( this, 11, 6, "advCommEditLayout"); 

    layout21 = new QHBoxLayout( 0, 0, 6, "layout21"); 

    layout20 = new QVBoxLayout( 0, 0, 6, "layout20"); 

    layout13 = new QVBoxLayout( 0, 0, 6, "layout13"); 

    textLabel2 = new QLabel( this, "textLabel2" );
    textLabel2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout13->addWidget( textLabel2 );

    titleLineEdit = new QLineEdit( this, "titleLineEdit" );
    layout13->addWidget( titleLineEdit );
    layout20->addLayout( layout13 );

    layout19 = new QVBoxLayout( 0, 0, 6, "layout19"); 

    textLabel3 = new QLabel( this, "textLabel3" );
    textLabel3->setFrameShape( QLabel::NoFrame );
    textLabel3->setFrameShadow( QLabel::Plain );
    textLabel3->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout19->addWidget( textLabel3 );

    layout18 = new QHBoxLayout( 0, 0, 6, "layout18"); 

    entryListBox = new QListBox( this, "entryListBox" );
    layout18->addWidget( entryListBox );

    layout17 = new QVBoxLayout( 0, 0, 6, "layout17"); 

    addTblButton = new QPushButton( this, "addTblButton" );
    layout17->addWidget( addTblButton );

    editButton = new QPushButton( this, "editButton" );
    layout17->addWidget( editButton );

    delButton = new QPushButton( this, "delButton" );
    layout17->addWidget( delButton );
    spacer2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout17->addItem( spacer2 );
    layout18->addLayout( layout17 );
    layout19->addLayout( layout18 );
    layout20->addLayout( layout19 );
    layout21->addLayout( layout20 );

    textLabel3_2 = new QLabel( this, "textLabel3_2" );
    textLabel3_2->setFrameShape( QLabel::VLine );
    layout21->addWidget( textLabel3_2 );

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    textLabel2_2 = new QLabel( this, "textLabel2_2" );
    layout9->addWidget( textLabel2_2 );

    previewDummy = new QLabel( this, "previewDummy" );
    previewDummy->setMinimumSize( QSize( 0, 250 ) );
    layout9->addWidget( previewDummy );
    spacer1 = new QSpacerItem( 200, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer1 );
    layout21->addLayout( layout9 );
    advCommEditLayout->addLayout( layout21 );

    layout15 = new QHBoxLayout( 0, 0, 6, "layout15"); 

    okButton = new QPushButton( this, "okButton" );
    layout15->addWidget( okButton );

    refreshPreviewButton = new QPushButton( this, "refreshPreviewButton" );
    layout15->addWidget( refreshPreviewButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout15->addWidget( cancelButton );
    advCommEditLayout->addLayout( layout15 );
    languageChange();
    resize( QSize(670, 369).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( okButton, SIGNAL( clicked() ), this, SLOT( okButton_slot() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( cancelButton_slot() ) );
    connect( refreshPreviewButton, SIGNAL( clicked() ), this, SLOT( updatePreview() ) );
    connect( addTblButton, SIGNAL( clicked() ), this, SLOT( addSubtblButton_slot() ) );
    connect( editButton, SIGNAL( clicked() ), this, SLOT( editButton_slot() ) );
    connect( delButton, SIGNAL( clicked() ), this, SLOT( delButton_slot() ) );

    // tab order
    setTabOrder( titleLineEdit, entryListBox );
    setTabOrder( entryListBox, addTblButton );
    setTabOrder( addTblButton, editButton );
    setTabOrder( editButton, delButton );
    setTabOrder( delButton, okButton );
    setTabOrder( okButton, refreshPreviewButton );
    setTabOrder( refreshPreviewButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
advCommEdit::~advCommEdit()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void advCommEdit::languageChange()
{
    setCaption( tr2i18n( "Advanced HTML Comment Editor" ) );
    textLabel2->setText( tr2i18n( "Global title:" ) );
    textLabel3->setText( tr2i18n( "Current entries:" ) );
    addTblButton->setText( tr2i18n( "Add" ) );
    editButton->setText( tr2i18n( "Edit" ) );
    delButton->setText( tr2i18n( "Delete" ) );
    textLabel3_2->setText( QString::null );
    textLabel2_2->setText( tr2i18n( "Preview:" ) );
    previewDummy->setText( QString::null );
    okButton->setText( tr2i18n( "&OK" ) );
    refreshPreviewButton->setText( tr2i18n( "Refresh preview" ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
}

void advCommEdit::okButton_slot()
{
    qWarning( "advCommEdit::okButton_slot(): Not implemented yet" );
}

void advCommEdit::cancelButton_slot()
{
    qWarning( "advCommEdit::cancelButton_slot(): Not implemented yet" );
}

void advCommEdit::updatePreview()
{
    qWarning( "advCommEdit::updatePreview(): Not implemented yet" );
}

void advCommEdit::addSubtblButton_slot()
{
    qWarning( "advCommEdit::addSubtblButton_slot(): Not implemented yet" );
}

void advCommEdit::editButton_slot()
{
    qWarning( "advCommEdit::editButton_slot(): Not implemented yet" );
}

void advCommEdit::delButton_slot()
{
    qWarning( "advCommEdit::delButton_slot(): Not implemented yet" );
}

#include "advcommedit.moc"
