/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kwalletemu.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KWALLETEMU_STUB__
#define __KWALLETEMU_STUB__

#include <dcopstub.h>
#include <binentrygen.h>
#include <vector>
#include <dcopclient.h>
#include <dcopobject.h>
#include <qstringlist.h>
#include <qcstring.h>
#include <qstring.h>


class KWalletEmu_stub : virtual public DCOPStub
{
public:
    KWalletEmu_stub( const QCString& app, const QCString& id );
    KWalletEmu_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit KWalletEmu_stub( const DCOPRef& ref );
    virtual bool isEnabled( const QCString& peer );
    virtual int open( const QCString& peer, const QString& wallet, uint wId );
    virtual int openPath( const QCString& peer, const QString& path, uint wId );
    virtual void openAsynchronous( const QCString& peer, const QString& wallet, const QCString& returnObject, uint wId );
    virtual int close( const QCString& peer, const QString& wallet, bool force );
    virtual int close( const QCString& peer, int handle, bool force );
    virtual ASYNC sync( const QCString& peer, int handle );
    virtual int deleteWallet( const QCString& peer, const QString& wallet );
    virtual bool isOpen( const QCString& peer, const QString& wallet );
    virtual bool isOpen( const QCString& peer, int handle );
    virtual QStringList users( const QCString& peer, const QString& wallet );
    virtual void changePassword( const QCString& peer, const QString& wallet, uint wId );
    virtual QStringList wallets( const QCString& peer );
    virtual QStringList folderList( const QCString& peer, int handle );
    virtual bool hasFolder( const QCString& peer, int handle, const QString& folder );
    virtual bool createFolder( const QCString& peer, int handle, const QString& folder );
    virtual bool removeFolder( const QCString& peer, int handle, const QString& folder );
    virtual QStringList entryList( const QCString& peer, int handle, const QString& folder );
    virtual QByteArray readEntry( const QCString& peer, int handle, const QString& folder, const QString& key );
    virtual QByteArray readMap( const QCString& peer, int handle, const QString& folder, const QString& key );
    virtual QString readPassword( const QCString& peer, int handle, const QString& folder, const QString& key );
    virtual int renameEntry( const QCString& peer, int handle, const QString& folder, const QString& oldName, const QString& newName );
    virtual int writeEntry( const QCString& peer, int handle, const QString& folder, const QString& key, const QByteArray& value, int entryType );
    virtual int writeEntry( const QCString& peer, int handle, const QString& folder, const QString& key, const QByteArray& value );
    virtual int writeMap( const QCString& peer, int handle, const QString& folder, const QString& key, const QByteArray& value );
    virtual int writePassword( const QCString& peer, int handle, const QString& folder, const QString& key, QString value );
    virtual bool hasEntry( const QCString& peer, int handle, const QString& folder, const QString& key );
    virtual int entryType( const QCString& peer, int handle, const QString& folder, const QString& key );
    virtual int removeEntry( const QCString& peer, int handle, const QString& folder, const QString& key );
    virtual bool disconnectApplication( const QCString& peer, const QString& wallet, const QCString& application );
    virtual void reconfigure( const QCString& peer );
    virtual bool folderDoesNotExist( const QCString& peer, const QString& wallet, const QString& folder );
    virtual bool keyDoesNotExist( const QCString& peer, const QString& wallet, const QString& folder, const QString& key );
    virtual void closeAllWallets( const QCString& peer );
protected:
    KWalletEmu_stub() : DCOPStub( never_use ) {};
};


#endif
