#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newmasterkeywnd.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newmasterkeywnd.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NewMasterKeyWnd as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
NewMasterKeyWnd::NewMasterKeyWnd( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "NewMasterKeyWnd" );
    NewMasterKeyWndLayout = new QVBoxLayout( this, 11, 6, "NewMasterKeyWndLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setAlignment( int( QLabel::AlignCenter ) );
    NewMasterKeyWndLayout->addWidget( textLabel1 );

    mainTab = new QTabWidget( this, "mainTab" );

    tab = new QWidget( mainTab, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    textLabel1_2 = new QLabel( tab, "textLabel1_2" );
    textLabel1_2->setFrameShape( QLabel::Box );
    textLabel1_2->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    tabLayout->addWidget( textLabel1_2 );
    spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout->addItem( spacer1 );

    textLabel2 = new QLabel( tab, "textLabel2" );
    tabLayout->addWidget( textLabel2 );

    pwLineEdit_0 = new QLineEdit( tab, "pwLineEdit_0" );
    pwLineEdit_0->setEchoMode( QLineEdit::Password );
    tabLayout->addWidget( pwLineEdit_0 );

    textLabel3 = new QLabel( tab, "textLabel3" );
    tabLayout->addWidget( textLabel3 );

    pwLineEdit_1 = new QLineEdit( tab, "pwLineEdit_1" );
    pwLineEdit_1->setEchoMode( QLineEdit::Password );
    tabLayout->addWidget( pwLineEdit_1 );
    spacer2 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout->addItem( spacer2 );

    pwInfoLabel = new QLabel( tab, "pwInfoLabel" );
    pwInfoLabel->setFrameShape( QLabel::Panel );
    pwInfoLabel->setFrameShadow( QLabel::Sunken );
    tabLayout->addWidget( pwInfoLabel );
    mainTab->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( mainTab, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    textLabel1_2_3 = new QLabel( tab_2, "textLabel1_2_3" );
    textLabel1_2_3->setFrameShape( QLabel::Box );
    textLabel1_2_3->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    tabLayout_2->addWidget( textLabel1_2_3 );
    spacer3 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( spacer3 );

    textLabel1_3 = new QLabel( tab_2, "textLabel1_3" );
    textLabel1_3->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    tabLayout_2->addWidget( textLabel1_3 );
    spacer5 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( spacer5 );

    genSmartKeyButton = new QPushButton( tab_2, "genSmartKeyButton" );
    tabLayout_2->addWidget( genSmartKeyButton );
    spacer4 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( spacer4 );
    mainTab->insertTab( tab_2, QString::fromLatin1("") );
    NewMasterKeyWndLayout->addWidget( mainTab );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    okButton = new QPushButton( this, "okButton" );
    okButton->setEnabled( FALSE );
    layout1->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout1->addWidget( cancelButton );
    NewMasterKeyWndLayout->addLayout( layout1 );
    languageChange();
    resize( QSize(389, 344).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( okButton, SIGNAL( clicked() ), this, SLOT( okButton_slot() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( cancelButton_slot() ) );
    connect( pwLineEdit_0, SIGNAL( textChanged(const QString&) ), this, SLOT( pwChanged_slot() ) );
    connect( pwLineEdit_1, SIGNAL( textChanged(const QString&) ), this, SLOT( pwChanged_slot() ) );
    connect( mainTab, SIGNAL( currentChanged(QWidget*) ), this, SLOT( tabSwitched_slot() ) );
    connect( genSmartKeyButton, SIGNAL( clicked() ), this, SLOT( genSmartKeyButton_slot() ) );

    // tab order
    setTabOrder( mainTab, okButton );
    setTabOrder( okButton, cancelButton );
    setTabOrder( cancelButton, genSmartKeyButton );
    setTabOrder( genSmartKeyButton, pwLineEdit_0 );
    setTabOrder( pwLineEdit_0, pwLineEdit_1 );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewMasterKeyWnd::~NewMasterKeyWnd()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewMasterKeyWnd::languageChange()
{
    setCaption( tr2i18n( "New Master Key" ) );
    textLabel1->setText( tr2i18n( "Please select a Master Key Type:" ) );
    textLabel1_2->setText( tr2i18n( "Encrypt the data with a Password String as Master Key." ) );
    textLabel2->setText( tr2i18n( "New master password:" ) );
    textLabel3->setText( tr2i18n( "Verify (enter the master password again):" ) );
    pwInfoLabel->setText( QString::null );
    mainTab->changeTab( tab, tr2i18n( "Password" ) );
    textLabel1_2_3->setText( tr2i18n( "Encrypt the data with a SmartCard (Chipcard) as Master Key." ) );
    textLabel1_3->setText( tr2i18n( "Please insert the SmartCard, which contains your Master Key, into your SmartCard Terminal and press OK." ) );
    genSmartKeyButton->setText( tr2i18n( "&Generate New SmartKey..." ) );
    genSmartKeyButton->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    mainTab->changeTab( tab_2, tr2i18n( "SmartCard" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

#include "newmasterkeywnd.moc"
